For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
              • GETList Countries
              • GETGet Address Edit Permission
              • GETList Company Addresses
              • POSTCreate Company Address
              • GETSearch Company Addresses
              • POSTSearch Addresses with Multiple Filters
              • GETGet Address
              • PUTUpdate Address Information
              • PUTMark Address as Active or Inactive
              • GETGet Company Default Addresses
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontCompanyAddresses

Get Address

GET
https://api-b2b.bigcommerce.com/api/v2/companies/:companyId/addresses/:addressId
GET
/api/v2/companies/:companyId/addresses/:addressId
$curl https://api-b2b.bigcommerce.com/api/v2/companies/123/addresses/123 \
> -H "Authorization: Bearer <token>"
200Get an Address
1{
2 "message": "Success",
3 "code": 200,
4 "data": {
5 "firstName": "Marie",
6 "isShipping": "1",
7 "isBilling": "0",
8 "phoneNumber": "8001234567",
9 "addressId": "27",
10 "lastName": "Curie",
11 "isDefaultShipping": "0",
12 "isDefaultBilling": "0",
13 "label": "Austin Warehouse",
14 "extraFields": [
15 {
16 "fieldName": "Company Tax Code",
17 "fieldValue": "Code G"
18 }
19 ],
20 "addressLine1": "512 Bluebonnet Lane",
21 "addressLine2": "Building 2",
22 "city": "Austin",
23 "state": {
24 "stateName": "Texas",
25 "stateCode": "TX"
26 },
27 "zipCode": "78726",
28 "country": {
29 "countryName": "United States",
30 "countryCode": "US"
31 }
32 }
33}
Returns a specific address based on the `companyId` and `addressId` in the path. Equivalent Storefront GraphQL API Query: `address`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Search Addresses with Multiple Filters

Next

Update Address Information

Built with

Returns a specific address based on the companyId and addressId in the path.

Equivalent Storefront GraphQL API Query: address. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

companyIdstringRequired
The unique numeric ID of the Company account.
addressIdstringRequired
The unique ID of the address.

Response

OK
messagestring
codedoubleDefaults to 200
dataobject
Extra Field Values